Subject: bug#66697: 30.0.50; [PATCH] desktop-save-mode with expiring remote buffers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Oct 2023 15:47:36 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Oct 2023 14:34:34 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Mon, 23 Oct 2023 11:21:47 +0200
> >> From:  Manuel Giraud via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> I'm using desktop-save-mode and regularly open files via Tramp with a
> >> method that asks for a password and that would eventually expire.  By
> >> default 'desktop-files-not-to-save' is "\\(\\`/[^/:]*:\\|(ftp)\\'\\)" so
> >> I expect that those remote buffer are not saved by desktop-save.
> >> 
> >> When such a remote buffer is opened (but not displayed nor used), Emacs
> >> will keep asking me for this password and I find it annoying.
> >
> > Could you please clarify when does Emacs prompt you for a password?
> > Is it when you restore desktop, save desktop, some other situation?
> 
> Hi Eli,
> 
> It is when 'desktop-save' is called.  So it is also called in the
> desktop-auto-save timer.

So you are saying that, even though these buffers are in
desktop-files-not-to-save value, Emacs still asks for a password for
them when desktop.el saves the desktop?  If so, can you set
debug-on-quit non-nil and when Emacs prompts for the password, type
C-g and post the backtrace here?